Class | Merb::Rack::Application
In: | lib/merb-core/rack/application.rb
Parent: | Object

### Methods

call deferred?

### Public Instance methods

call(env)

The main rack application call method. This is the entry point from rack (and the webserver) to your application.

#### Parameters

env<Hash>: | A rack request of parameters.

#### Returns

<Array>: | A rack response of [status<Integer>, headers<Hash>, body<String, Stream>]

:api: private

deferred?(env)

Determines whether this request is a "deferred_action", usually a long request. Rack uses this method to detemine whether to use an evented request or a deferred request in evented rack handlers.

#### Parameters

env<Hash>: | The rack request

#### Returns

Boolean: | True if the request should be deferred.

:api: private

[Validate]